API Docs
YMS API
Load Controller
GET Get Load

GET Get Load

Introduction

Retrieve a single load by its load ID. Returns the complete load information including status, carrier, customer, equipment details, order references, item lines, and all associated data.

API Request

GET /load/{loadId}

Request Parameters

NameLocationTypeRequiredDescription
loadIdpathstringYesLoad ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": "",
    "loadId": "",
    "loadStatus": "",
    "loadNo": "",
    "shipMethod": "",
    "carrierId": "",
    "appointmentTime": "",
    "appointmentId": "",
    "orderIds": [
      ""
    ],
    "customerId": "",
    "masterBol": "",
    "sealNo": "",
    "customerName": "",
    "carrierName": "",
    "orderViews": [
      {
        "id": 0,
        "orderId": "",
        "orderStatus": "",
        "customerId": "",
        "poNo": "",
        "referenceNo": "",
        "retailer": "",
        "shipFrom": "",
        "shipTo": "",
        "totalPalletQty": 0,
        "totalCartonQty": 0,
        "itemInfos": [
          {
            "itemId": "",
            "itemName": "",
            "itemQty": "",
            "palletQty": "",
            "itemSpecDesc": "",
            "itemSpecName": "",
            "uomId": "",
            "qty": ""
          }
        ],
        "customerName": "",
        "carrierName": "",
        "shipToAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "shipFromAddress": {
          "id": "",
          "name": "",
          "country": "",
          "state": "",
          "city": "",
          "zipCode": "",
          "fax": "",
          "address1": "",
          "address2": "",
          "contact": "",
          "phone": "",
          "extension": "",
          "email": "",
          "orgId": "",
          "orgName": "",
          "referenceNo": "",
          "batchCode": "",
          "storeNo": "",
          "shorthand": "",
          "toHome": false,
          "tags": [
            ""
          ],
          "latitude": "",
          "longitude": "",
          "crmAddressId": ""
        },
        "appointmentTime": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNo": "",
        "shippedTime": ""
      }
    ],
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "equipmentType": "",
    "equipmentNo": "",
    "referenceNoList": [
      ""
    ],
    "poNoList": [
      ""
    ],
    "templateLoadKey": "",
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNos": [
      ""
    ],
    "loadType": "",
    "stagingLocationName": "",
    "shippedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRLoadView (opens in a new tab)